%define rname xcolor

Summary: 		Easy driver-independent TeX class for color
Name: 			latex-%rname
Version: 		2.00
Release: 		1mdk
Epoch:			0
URL:			http://latex-beamer.sourceforge.net/
Source0: 		http://download.sourceforge.net/latex-beamer/%rname-%version.tar.bz2
Source1:		http://www.ctan.org/tex-archive/macros/latex/contrib/misc/chngpage.sty
License: 		GPL
Group: 			Publishing
Requires: 		tetex-latex
BuildRequires:		ghostscript
BuildRequires:		tetex-latex
BuildArch:		noarch
BuildRoot:              %_tmppath/%name-buildroot

%description
xcolor provides easy driver-independent access to several kinds of
color tints, shades, tones, and mixes of arbitrary colors. It allows
you to select a document-wide target color model and offers tools for
automatic color schemes, conversion between eight color models, and
alternating table row colors. 

%prep
%setup -q -n %rname
%__rm -f %rname.pdf
%__cp -a %SOURCE1 .

%build
latex %rname.ins
latex %rname.dtx
latex %rname.dtx
makeindex -s gind.ist %rname.idx
latex %rname.dtx
latex %rname.dtx
dvipdfm %rname.dvi

latex %{rname}1.tex
latex %{rname}1.tex
pdflatex %{rname}1.tex

latex %{rname}2.tex
latex %{rname}2.tex
#dvips %{rname}2.dvi
# FIXME: this fails due to lpr not working on buildhost
#ps2pdf  %{rname}2.ps

latex %{rname}3.tex
latex %{rname}3.tex
pdflatex %{rname}3.tex

%install
%__mkdir_p %buildroot%_datadir/texmf/tex/latex/%rname
%__install -m 644 %rname.sty %buildroot%_datadir/texmf/tex/latex/%rname

%clean
%__rm -rf %buildroot

%post
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null

%postun
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null

%files
%defattr(0644,root,root,0755)
%doc %rname.pdf %{rname}1.pdf %{rname}2.dvi %{rname}3.pdf *.dtx *.ins *.tex
%dir %_datadir/texmf/tex/latex/%rname
%_datadir/texmf/tex/latex/%rname/%rname.sty

%changelog
* Fri Sep 03 2004 David Walluck <walluck@mandrake.org> 0:2.00-1mdk
- 2.00

* Tue Apr 27 2004 David Walluck <walluck@mandrake.org> 0:1.10-2mdk
- fix pdf generation

* Fri Apr 23 2004 David Walluck <walluck@mandrake.org> 0:1.10-1mdk
- release
